Bug 433591 - [RHEL5.2] Slow startup with round-robin DNS entries
[RHEL5.2] Slow startup with round-robin DNS entries
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: evolution-connector (Show other bugs)
5.2
All Linux
medium Severity low
: rc
: ---
Assigned To: Matthew Barnes
desktop-bugs@redhat.com
:
Depends On:
Blocks: 447321
  Show dependency treegraph
 
Reported: 2008-02-20 02:32 EST by Christian Jung
Modified: 2008-09-08 02:51 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-25 12:31:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Jung 2008-02-20 02:32:23 EST
Description of problem:
If the DNS name for the GAL server is a round-robin resource record, evolution
startup takes ages. Evolution tries to contact all servers and timeout is to
high if one of those servers is not reachable.

In this environment the GAL server is round-robin for failover and roaming users
(they are always able to connect to a GAL server).

Version-Release number of selected component (if applicable):
evolution-webcal-2.7.1-6
evolution-gconf-tools-0.1.6-0.NOEL5.4
evolution-2.12.3-7.el5
evolution-data-server-1.12.3-5.el5
evolution-connector-2.12.3-4.el5
evolution-help-2.12.3-7.el5

How reproducible:
always if GAL server is rr-DNS entry and some of them are unreachable.

Steps to Reproduce:
1. point GAL server to a round-robin DNS entry
2. make sure, some of those servers are not reachable
3. start evolution
  
Actual results:
startup takes ages, dependent of the number of round-robin entries and
unreachable servers

Expected results:
1) evolution should have a shorter timeout if only some of the servers are not
reachable
2) evolution should recognize unreachable servers and should not to try to
connect to unreachable servers as long as other servers are reachable.

Additional info:
I will add an strace
Comment 2 Christian Jung 2008-02-20 02:48:29 EST
Please use something like this iptables rule for testing:
iptables -I INPUT -s <IP-of-exchange> -j DROP

Some of the servers are not reachable and do not return ICMP error messages.
Comment 5 RHEL Product and Program Management 2008-06-17 14:19:31 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 8 RHEL Product and Program Management 2008-08-25 12:31:50 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.